Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.util
Class IndentPrinter

    java.lang.Object
      org.codehaus.activemq.util.IndentPrinter

public class IndentPrinter
extends java.lang.Object

A helper class for printing indented text

Version:
  $Revision: 1.1 $

Constructor Summary
`IndentPrinter()`
`IndentPrinter(java.io.PrintWriter out)`
`IndentPrinter(java.io.PrintWriter out, java.lang.String indent)`

Method Summary
`void` | `decrementIndent()`
`void` | `flush()`
`int` | `getIndentLevel()`
`void` | `incrementIndent()`
`void` | `print(java.lang.String text)`
`void` | `printIndent()`
`void` | `println()`
`void` | `println(java.lang.Object value)`
`void` | `println(java.lang.String text)`
`void` | `setIndentLevel(int indentLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndentPrinter

    public IndentPrinter()

### IndentPrinter

    public IndentPrinter(java.io.PrintWriter out)

### IndentPrinter

    public IndentPrinter(java.io.PrintWriter out,
                         java.lang.String indent)

Method Detail

### println

    public void println(java.lang.Object value)

### println

    public void println(java.lang.String text)

### print

    public void print(java.lang.String text)

### printIndent

    public void printIndent()

### println

    public void println()

### incrementIndent

    public void incrementIndent()

### decrementIndent

    public void decrementIndent()

### getIndentLevel

    public int getIndentLevel()

### setIndentLevel

    public void setIndentLevel(int indentLevel)

### flush

    public void flush()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.